Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel
Class AbstractTrace

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.AbstractTrace

Direct Known Subclasses:
  ExecutionTrace, MessageTrace

    public abstract class AbstractTrace

extends Object

This is the abstract base for a trace (like a message trace e.g.).

Since:
  1.2
Author:
  Andre van Hoorn

Field Summary
`static String` | `DEFAULT_SESSION_ID` Default value for the session ID.
`static String` | `NO_TRACE_ID` This constant can be used as an ID to show that the trace has no ID.

Constructor Summary
`AbstractTrace(long traceId)` Creates a new abstract trace with the given trace ID and a default session ID.
`AbstractTrace(long traceId, String sessionId)` Creates a new abstract trace with the given parameters.

Method Summary
`abstract boolean` | `equals(Object obj)`
`abstract long` | `getEndTimestamp()` Returns this trace's end timestamp.
`String` | `getSessionId()` Delivers the ID of the session.
`abstract long` | `getStartTimestamp()` Returns this trace's start timestamp.
`long` | `getTraceId()` Returns this trace's trace ID.
`TraceInformation` | `getTraceInformation()` Returns information about this trace.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SESSION_ID

    public static final String DEFAULT_SESSION_ID

  Default value for the session ID.

  See Also:
    Constant Field Values

### NO_TRACE_ID

    public static final String NO_TRACE_ID

  This constant can be used as an ID to show that the trace has no ID.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractTrace

    public AbstractTrace(long traceId)

  Creates a new abstract trace with the given trace ID and a default session ID.

  Parameters:
    `traceId` - The trace ID to use for the new trace

### AbstractTrace

    public AbstractTrace(long traceId,
                         String sessionId)

  Creates a new abstract trace with the given parameters.

  Parameters:
    `traceId` - The trace ID to use for the new trace
    `sessionId` - The session ID to use for the new trace

Method Detail

### getTraceInformation

    public TraceInformation getTraceInformation()

  Returns information about this trace.

  Returns:
    See above

### getTraceId

    public long getTraceId()

  Returns this trace's trace ID.

  Returns:
    See above

### getSessionId

    public String getSessionId()

  Delivers the ID of the session.

  Returns:
    The session ID.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public abstract boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getStartTimestamp

    public abstract long getStartTimestamp()

  Returns this trace's start timestamp.

  Returns:
    See above

### getEndTimestamp

    public abstract long getEndTimestamp()

  Returns this trace's end timestamp.

  Returns:
    See above

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net